Skip to main content
POST
/
integrations
/
tools
/
call
Call Integration Tool
curl --request POST \
  --url https://api.veryfront.com/integrations/tools/call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "github__list-repos",
  "arguments": {},
  "run_id": "<string>",
  "agent_id": "<string>"
}
'
{
  "content": [
    {
      "type": "<string>",
      "text": "<string>"
    }
  ],
  "structuredContent": {},
  "isError": true
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Body

application/json
name
string
required

Tool name

Example:

"github__list-repos"

arguments
object

Tool arguments

run_id
string

Agent run ID for validating run-declared integration tools

agent_id
string

Agent ID for validating run-declared integration tools

Response

Tool execution result

content
object[]
structuredContent
object
isError
boolean